> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/links.md).

# Links

Links can be associated with specific resources via the `item` attribute to easily generate a URL pointing to a production-ready micro frontend.

{% hint style="info" %}
At the moment links are enabled for [orders](/core-api-reference/orders.md), [SKUs](/core-api-reference/skus.md), and [SKU lists](/core-api-reference/sku_lists.md). Other resources (e.g. markets and more) are coming soon, together with a dedicated dashboard app that will help you generate links to our hosted MFEs in a snap.
{% endhint %}

| Resource     | MFE                                                           | Description                                                                                                           |
| ------------ | ------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| **Order**    | [Checkout](https://github.com/commercelayer/mfe-checkout)     | Generate a link to directly checkout the linked order using our hosted checkout.                                      |
| **SKU**      | [Microstore](https://github.com/commercelayer/mfe-microstore) | Generate a link to a single-product microstore website to directly sell the linked SKU using our hosted microstore.   |
| **SKU list** | [Microstore](https://github.com/commercelayer/mfe-microstore) | Generate a link to a microstore website to directly sell the SKUs in the linked SKU list using our hosted microstore. |

Besides being used by our dashboard, links can be leveraged by any custom app, provided that you build the logic (e.g. using a lambda function) to make the generated URL work. To generate a link you need to give it a meaningful name and specify the client ID and scope of the related application. The default activation time window is **1 month** starting from the time of creation, you can change it by setting the `stars_at` and `expires_at` attributes at your leisure. If you're using a custom app or need a specific format for the generated URL you can also change the second level domain by setting the `domain` attribute. Otherwise, the default `commercelayer.link` will be used, pointing to our related hosted [dashboard app](/provisioning/getting-started/applications.md).

Newly created links are enabled by default. You can disable them by passing the `_disable` trigger attribute and eventually re-enable them by passing the `_enable` trigger attribute. Disabled links are not working, even within their activation time window.

{% hint style="warning" %}
At the moment, links are maneageble using [integration](/core/api-credentials.md#integration) API credentials only.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/links.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
